Subject: bug#1258 closed by Chong Yidong <[email-masked]> (Re: hbar cursor assumes width of TAB character)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1258: hbar cursor assumes width of TAB character

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1258: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1258
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Mon Oct 27 15:25:11 2008
From: Chong Yidong <[email-masked]>
To: "Bernhard Koenig" <[email-masked]>
Cc: [email-masked]
Subject: Re: hbar cursor assumes width of TAB character
Date: Mon, 27 Oct 2008 18:25:12 -0400

> I noticed that the hbar cursor can be bigger than 1 character if there
> is a TAB in that line. That's surprising as the other cursors do not
> behave like that.

I've checked in a fix.  Thanks.

>From [email-masked] Sat Oct 25 20:59:24 2008
Date: Sat, 25 Oct 2008 23:59:17 -0400
From: "Bernhard Koenig" <[email-masked]>
To: [email-masked]
Subject: hbar cursor assumes width of TAB character

I noticed that the hbar cursor can be bigger than 1 character if there
is a TAB in that line. That's surprising as the other cursors do not
behave like that. To reproduce:

-switch to the hbar cursor (I used the extension cursor-chg.el)
-load a file with many tabs (usually your .emacs file will do) and scroll down

the cursor will become lengthy.